public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/exiv2/
Date: Thu, 28 May 2020 19:19:35 +0000 (UTC)	[thread overview]
Message-ID: <1590693564.da2dc869018da98b61555e858f11af028ee17a94.asturm@gentoo> (raw)

commit:     da2dc869018da98b61555e858f11af028ee17a94
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu May 28 19:04:32 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu May 28 19:19:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da2dc869

media-gfx/exiv2: 0.27.3_rc2 version bump

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/exiv2/Manifest                |   1 +
 media-gfx/exiv2/exiv2-0.27.3_rc2.ebuild | 102 ++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/media-gfx/exiv2/Manifest b/media-gfx/exiv2/Manifest
index 99cb5ff7f89..fd4209f009c 100644
--- a/media-gfx/exiv2/Manifest
+++ b/media-gfx/exiv2/Manifest
@@ -1,2 +1,3 @@
 DIST exiv2-0.27.2-Source.tar.gz 27591236 BLAKE2B bd10d71356e4c8a465b71f8ceac07fbf2fd6cfb287cb22774568ad35eb38200be504e297224920af50a15ab4e9da98384ff4da7c33713f5346b33738380698b0 SHA512 39eb7d920dce18b275ac66f4766c7c73f7c72ee10e3e1e43d84c611b24f48ce20a70eac6d53948914e93242a25b8b52cc4bc760ee611ddcd77481306c1f9e721
+DIST exiv2-0.27.3.20-Source.tar.gz 26462789 BLAKE2B 1fab5636f2ff69a6e61b78e29f8f536ef699bc7eb6e32edfd2f643805205df99502a3e1a9654dd8cd60e4f948d1442aa2bf4c4e71a345adaf310746bce5054c5 SHA512 4efd358adf615b924ef5446b68b7b7e260dd243179c8aa290006ea84d2fa08ab7069aa1af80b594858600660e184c80613c9254e66320d47087e00c9eccc8448
 DIST exiv2-0.27.3_rc1.tar.gz 27577726 BLAKE2B bb78b33419bf94e49a437e4d4b3820a9d178550cdcf4ebca52a3feab68e7d1a31881412edfff64ab80036b4912de2e1df57130ffdc308c3b585e378438580fb0 SHA512 1650f20c8572516c92fbb2af4ee18ce6dc9aa07db8c6ebf7e3bec3e7a02e1a13b1b60da88a11eba864bb805ce4d78c8acd4a0264fb842ab39dcfa6983b314328

diff --git a/media-gfx/exiv2/exiv2-0.27.3_rc2.ebuild b/media-gfx/exiv2/exiv2-0.27.3_rc2.ebuild
new file mode 100644
index 00000000000..8c6ab3c5c6d
--- /dev/null
+++ b/media-gfx/exiv2/exiv2-0.27.3_rc2.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = *9999 ]]; then
+	EGIT_REPO_URI="https://github.com/Exiv2/exiv2.git"
+	inherit git-r3
+else
+	SRC_URI="https://pre-release.exiv2.org/builds/${P/_rc2/.20}-Source.tar.gz"
+# 	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+fi
+
+CMAKE_ECLASS=cmake
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit cmake-multilib python-any-r1
+
+DESCRIPTION="EXIF, IPTC and XMP metadata C++ library and command line utility"
+HOMEPAGE="https://www.exiv2.org/"
+
+LICENSE="GPL-2"
+SLOT="0/27"
+IUSE="doc examples nls +png webready +xmp"
+
+BDEPEND="
+	doc? (
+		${PYTHON_DEPS}
+		app-doc/doxygen
+		dev-libs/libxslt
+		media-gfx/graphviz
+		virtual/pkgconfig
+	)
+	nls? ( sys-devel/gettext )
+"
+DEPEND="
+	>=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+	nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )
+	png? ( sys-libs/zlib[${MULTILIB_USEDEP}] )
+	webready? (
+		>net-libs/libssh-0.9.1[${MULTILIB_USEDEP}]
+		net-misc/curl[${MULTILIB_USEDEP}]
+	)
+	xmp? ( dev-libs/expat[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md doc/ChangeLog doc/cmd.txt )
+
+S="${WORKDIR}/${P/_rc2/.20}-Source"
+
+pkg_setup() {
+	use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	# FIXME @upstream:
+	einfo "Converting doc/cmd.txt to UTF-8"
+	iconv -f LATIN1 -t UTF-8 doc/cmd.txt > doc/cmd.txt.tmp || die
+	mv -f doc/cmd.txt.tmp doc/cmd.txt || die
+
+	cmake_src_prepare
+
+	sed -e "/^include.*compilerFlags/s/^/#DONT /" -i CMakeLists.txt || die
+}
+
+multilib_src_configure() {
+	local mycmakeargs=(
+		-DEXIV2_BUILD_SAMPLES=NO
+		-DEXIV2_BUILD_PO=$(usex nls)
+		-DEXIV2_ENABLE_NLS=$(usex nls)
+		-DEXIV2_ENABLE_PNG=$(usex png)
+		-DEXIV2_ENABLE_CURL=$(usex webready)
+		-DEXIV2_ENABLE_SSH=$(usex webready)
+		-DEXIV2_ENABLE_WEBREADY=$(usex webready)
+		-DEXIV2_ENABLE_XMP=$(usex xmp)
+		$(multilib_is_native_abi || echo -DEXIV2_BUILD_EXIV2_COMMAND=NO)
+		$(multilib_is_native_abi && echo -DEXIV2_BUILD_DOC=$(usex doc))
+		-DCMAKE_INSTALL_DOCDIR="${EPREFIX}"/usr/share/doc/${PF}/html
+	)
+
+	cmake_src_configure
+}
+
+multilib_src_compile() {
+	cmake_src_compile
+
+	if multilib_is_native_abi; then
+		use doc && eninja doc
+	fi
+}
+
+multilib_src_install_all() {
+	use xmp && DOCS+=( doc/{COPYING-XMPSDK,README-XMP,cmdxmp.txt} )
+
+	einstalldocs
+	find "${D}" -name '*.la' -delete || die
+
+	if use examples; then
+		docinto examples
+		dodoc samples/*.cpp
+	fi
+}


             reply	other threads:[~2020-05-28 19:19 UTC|newest]

Thread overview: 173+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-28 19:19 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-01 17:04 [gentoo-commits] repo/gentoo:master commit in: media-gfx/exiv2/ Arthur Zamarin
2024-08-21 11:46 Arthur Zamarin
2024-08-21 11:46 Arthur Zamarin
2024-08-21 11:46 Arthur Zamarin
2024-08-21 11:46 Arthur Zamarin
2024-08-21  9:33 Jakov Smolić
2024-08-21  9:33 Jakov Smolić
2024-07-13 15:01 Andreas Sturmlechner
2024-05-15 19:58 Andreas Sturmlechner
2024-05-15 12:06 Sam James
2024-05-15 10:31 Sam James
2024-05-15  9:28 Sam James
2024-05-15  9:28 Sam James
2024-05-15  9:28 Sam James
2024-05-15  9:28 Sam James
2024-05-14 19:26 Arthur Zamarin
2024-04-20 12:57 Andreas Sturmlechner
2024-04-20 12:57 Andreas Sturmlechner
2024-03-29 13:37 Arthur Zamarin
2024-03-29  9:18 Arthur Zamarin
2024-03-29  2:04 Sam James
2024-03-29  2:04 Sam James
2024-03-29  2:04 Sam James
2024-03-29  2:04 Sam James
2024-03-29  2:04 Sam James
2024-02-19 20:20 Andreas Sturmlechner
2024-01-12 18:06 Arthur Zamarin
2024-01-12 18:06 Arthur Zamarin
2024-01-12 18:06 Arthur Zamarin
2024-01-12 18:06 Arthur Zamarin
2024-01-12 17:08 Sam James
2024-01-12 17:08 Sam James
2024-01-12 16:06 Sam James
2023-11-29  9:43 Andreas Sturmlechner
2023-11-29  9:09 Michał Górny
2023-11-29  8:25 Arthur Zamarin
2023-11-22 12:35 Arthur Zamarin
2023-11-22 12:19 Arthur Zamarin
2023-11-22 12:07 Michał Górny
2023-11-22 12:02 Sam James
2023-11-22 11:41 Arthur Zamarin
2023-11-21 22:36 Andreas Sturmlechner
2023-11-12 12:18 Andreas Sturmlechner
2023-10-09  7:04 Sam James
2023-09-18 23:26 Sam James
2023-09-18 23:26 Sam James
2023-09-18 22:36 Sam James
2023-09-18 22:36 Sam James
2023-06-10 16:27 Sam James
2023-06-10 16:07 Jakov Smolić
2023-06-10 16:07 Jakov Smolić
2023-06-10 16:07 Jakov Smolić
2023-06-10 16:07 Jakov Smolić
2023-06-10 15:54 Sam James
2023-06-10 15:54 Sam James
2023-05-16  4:41 Sam James
2023-05-10 19:27 Sam James
2023-02-26 20:00 Arthur Zamarin
2023-02-25 14:03 Sam James
2023-02-25 14:01 Sam James
2023-02-25 14:01 Sam James
2023-02-25 11:06 Jakov Smolić
2023-02-25 11:06 Jakov Smolić
2023-02-25 11:06 Jakov Smolić
2022-10-25 19:03 Andreas Sturmlechner
2022-10-06  9:14 Andreas Sturmlechner
2022-07-29  4:17 Sam James
2022-07-29  4:17 Sam James
2021-11-09 21:36 Sam James
2021-11-08  6:22 Sam James
2021-11-07  6:40 Agostino Sarubbo
2021-11-07  6:40 Agostino Sarubbo
2021-11-07  6:36 Agostino Sarubbo
2021-11-07  3:15 Sam James
2021-11-07  3:15 Sam James
2021-10-31  6:26 Arthur Zamarin
2021-10-24  0:57 Sam James
2021-10-22  9:00 Sam James
2021-09-25  2:50 Sam James
2021-09-03 17:59 Sam James
2021-09-03  6:47 Andreas Sturmlechner
2021-09-03  1:53 Sam James
2021-09-03  1:53 Sam James
2021-08-27 20:00 Sam James
2021-08-27 20:00 Sam James
2021-08-27  2:48 Sam James
2021-08-09  1:18 Sam James
2021-08-07 15:03 Sam James
2021-07-31 19:23 Sergei Trofimovich
2020-07-17  7:44 Agostino Sarubbo
2020-07-15  6:46 Sergei Trofimovich
2020-07-13 18:27 Sam James
2020-07-12  0:16 Sam James
2020-07-11 19:55 Sergei Trofimovich
2020-07-10 14:48 Sam James
2020-07-01 19:08 Andreas Sturmlechner
2020-05-31 21:09 Andreas Sturmlechner
2020-05-28 19:19 Andreas Sturmlechner
2020-05-22 10:51 Andreas Sturmlechner
2019-08-02  8:12 Mikle Kolyada
2019-08-02  8:12 Mikle Kolyada
2019-07-31 13:13 Agostino Sarubbo
2019-07-31 13:11 Agostino Sarubbo
2019-07-31 12:09 Agostino Sarubbo
2019-07-31 11:03 Agostino Sarubbo
2019-07-31 10:59 Agostino Sarubbo
2019-07-31 10:55 Agostino Sarubbo
2019-07-31 10:54 Agostino Sarubbo
2019-07-29 22:07 Aaron Bauman
2019-07-29 18:55 Andreas Sturmlechner
2019-07-21 16:13 Andreas Sturmlechner
2019-06-23 20:58 Andreas Sturmlechner
2019-05-20 17:22 Aaron Bauman
2019-05-13  5:10 Andreas Sturmlechner
2019-05-11  9:23 Andreas Sturmlechner
2019-04-18 17:56 Andreas Sturmlechner
2019-03-02 20:02 Matt Turner
2019-02-20 13:07 Mikle Kolyada
2019-02-17 22:35 Thomas Deutschmann
2019-02-16 10:21 Markus Meier
2019-02-12 21:03 Sergei Trofimovich
2019-02-07 12:31 Tobias Klausmann
2019-02-06 19:20 Sergei Trofimovich
2019-01-12 22:06 Andreas Sturmlechner
2019-01-03 14:40 Andreas Sturmlechner
2018-12-30  0:05 Andreas Sturmlechner
2018-10-29  5:39 Markus Meier
2018-10-06 16:48 Matt Turner
2018-10-03 22:58 Andreas Sturmlechner
2018-10-02 14:02 Tobias Klausmann
2018-09-23 15:32 Mikle Kolyada
2018-09-22 11:14 Sergei Trofimovich
2018-09-21 20:35 Sergei Trofimovich
2018-09-21 14:50 Andreas Sturmlechner
2018-09-21 14:50 Andreas Sturmlechner
2018-09-21 13:59 Andreas Sturmlechner
2018-09-21 13:59 Andreas Sturmlechner
2018-09-21 10:33 Andreas Sturmlechner
2018-09-21 10:20 Andreas Sturmlechner
2018-09-18 20:54 Andreas Sturmlechner
2018-05-29 12:32 Andreas Sturmlechner
2018-05-29  9:11 Mikle Kolyada
2018-05-29  4:42 Markus Meier
2018-05-14 12:38 Tobias Klausmann
2018-05-11 22:56 Sergei Trofimovich
2018-05-02 16:33 Thomas Deutschmann
2018-05-01  8:07 Sergei Trofimovich
2018-04-30  7:50 Agostino Sarubbo
2018-04-29 19:41 Sergei Trofimovich
2018-04-26  3:32 Andreas Sturmlechner
2018-04-25 18:36 Andreas Sturmlechner
2018-02-21 19:37 Sergei Trofimovich
2018-01-06 19:03 Ulrich Müller
2017-11-19 15:14 Markus Meier
2017-11-19 12:19 Sergei Trofimovich
2017-11-13 22:37 Sergei Trofimovich
2017-11-12 10:27 Sergei Trofimovich
2017-11-06 11:53 Manuel Rüger
2017-11-06  8:01 Sergei Trofimovich
2017-11-05 21:29 Thomas Deutschmann
2017-11-05 13:23 Andreas Sturmlechner
2017-11-05 13:23 Andreas Sturmlechner
2017-10-13  8:14 Andreas Sturmlechner
2017-06-18  9:51 Alexis Ballier
2017-06-07 20:22 Andreas Sturmlechner
2017-05-28  9:29 Pacho Ramos
2017-01-29 18:56 Fabian Groffen
2016-07-03 10:46 Jeroen Roovers
2016-02-14 17:25 Markus Meier
2016-02-14 10:11 Agostino Sarubbo
2016-02-13 15:33 Agostino Sarubbo
2016-02-09 15:58 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1590693564.da2dc869018da98b61555e858f11af028ee17a94.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox